
package com.cpm.lorealbaautomation.gsonGetterSetter;

import java.util.List;
import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

public class CounterDeviceLoginGetterSetter {

    public List<CounterDeviceLogin> getCounterInfo() {
        return counterInfo;
    }

    public void setCounterInfo(List<CounterDeviceLogin> counterInfo) {
        this.counterInfo = counterInfo;
    }

    @SerializedName("CounterInfo")
    @Expose
    private List<CounterDeviceLogin> counterInfo = null;

    public List<EmailOtpLoginGetterSetter> getEmailOtpLogin() {
        return emailOtpLogin;
    }

    public void setEmailOtpLogin(List<EmailOtpLoginGetterSetter> emailOtpLogin) {
        this.emailOtpLogin = emailOtpLogin;
    }

    @SerializedName("GenerateOTP")
    @Expose
    private List<EmailOtpLoginGetterSetter> emailOtpLogin = null;

    public List<EmailOtpLoginGetterSetter> getValidateOtp() {
        return validateOtp;
    }

    public void setValidateOtp(List<EmailOtpLoginGetterSetter> validateOtp) {
        this.validateOtp = validateOtp;
    }

    @SerializedName("CounterAndBALoginWithIMEIset")
    @Expose
    private List<EmailOtpLoginGetterSetter> validateOtp = null;

    @SerializedName("CounterDeviceLoginWithCodeApp")
    @Expose
    private List<CounterDeviceLogin> counterDeviceLogin = null;

    public List<CounterDeviceLogin> getCounterDeviceLogin() {
        return counterDeviceLogin;
    }
    @SerializedName("AppDatabaseName")
    @Expose
    private List<AppDatabaseName> appDatabaseName = null;

    public List<AppDatabaseName> getAppDatabaseName() {
        return appDatabaseName;
    }

}
